package org.apidesign.apifest08.test;

import static junit.framework.Assert.assertEquals;
import static org.apidesign.apifest08.test.Task1Test.CZK;

import java.math.BigDecimal;

import org.apidesign.apifest08.currency.MoneyImpl;
import org.junit.Test;

public class MoneyTest {
	@Test(expected=NullPointerException.class)
	public void testNullAmount(){
		new MoneyImpl(null,CZK);
	}
	@Test(expected=NullPointerException.class)
	public void testNullCurrency(){
		new MoneyImpl(1,null);
	}
	@Test
	public void testOk(){
		assertEquals(0,new MoneyImpl(123,CZK).getAmount().compareTo(new BigDecimal("123")));
	}
}
